package com.yaoyicloud.easier.common.file.core;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;


import com.yaoyicloud.easier.common.file.oss.OssProperties;

import lombok.Data;

@Data
@ConfigurationProperties(prefix = "file")
public class FileProperties {

    /**
     * 默认的存储桶名称
     */
    private String bucketName = "local";

    /**
     * oss 文件配置信息
     */
    @NestedConfigurationProperty
    private OssProperties oss;

}
